Obtener una geofence por ID
curl --request GET \
--url https://api.ugps.io/api/geofences/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/geofences/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/geofences/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "<string>",
"name": "<string>",
"color": "<string>",
"overlay": "<string>",
"address": "<string>",
"clientId": "<string>",
"geometry": {
"center": {
"lat": 123,
"lng": 123
},
"radius": 123,
"points": [
{
"lat": 123,
"lng": 123
}
],
"width": 123
}
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Tracking - Geocercas
Obtener una geofence por ID
Obtiene una geofence específica por su MongoDB ObjectId.
Retorna todos los campos almacenados en MongoDB: geometry, color, address, clientId, flespiId y type.
El id a usar es el campo id que devuelve el endpoint de lista (GET /api/geofences).
GET
/
api
/
geofences
/
{id}
Obtener una geofence por ID
Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Path Parameters
MongoDB ObjectId de la geofence (24 caracteres hex)
Pattern:
^[a-fA-F0-9]{24}$⌘I